package com.docus.server.collection.mapper;


import com.docus.server.collection.entity.TBasic;
import com.docus.server.collection.entity.TBasicExtend;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 病案基本信息 Mapper 接口
 * </p>
 *
 * @author jiashi
 * @since 2021-04-14
 */
public interface TBasicMapper{
    /**
     * 根据住院号和住院次数查询业务系统中病案主键
     * @param inpatientNo 住院号
     * @param admissTimes 住院次数
     * @return 病案主键
     */
    String getPatientIdByInpatientNoAndAdminssTimes(@Param("inpatientNo") String inpatientNo,@Param("adminssTimes") Integer admissTimes);

    Integer selectOne(@Param("jzh") String jzh);

    String getPatientId(@Param("jzh") String jzh);

    Integer insert(@Param("tBasic") TBasic tBasic);

    Integer insertExtend(@Param("tBasicExtend") TBasicExtend tBasicExtend);

    Integer update(@Param("tBasic") TBasic tBasic);

    Integer updateExtend(@Param("tBasicExtend") TBasicExtend tBasicExtend);

    List<TBasic> selectBasicListByAdmissDate(@Param("admissStartDate")String admissStartDate,@Param("admissEndDate") String admissEndDate,@Param("offset") int offset,@Param("size") int size);

    /**
     * 查询归档关联顺德人医报告的交叉索引
     * @param patientId  归档系统病案主键
     * @return 归档关联顺德人医报告的交叉索引
     */
    String getSdRyIndexByPatientId(@Param("patientId")String patientId);

    List<TBasic> selectBasicListByCreateOrUpdateTime(@Param("startDate")String queryBasicStartDate, @Param("endDate")String queryBasicEndDate, @Param("offset") int offset,@Param("size") int size);

    List<TBasic> selectBasicListByPatientIds(@Param("patientIds") List<String> patientIds);

    Integer getNurseFileCount(@Param("patientId")String patientId);

    /**
     * 保存护理采集删除文件数量
     * @param patientId 病案主键
     * @param removeCount 删除数量
     * @return db操作影响行
     */
    Integer saveNisRemoveFilesCount(@Param("patientId") String patientId,@Param("count") int removeCount);
}
