package com.docus.server.report.api.dto;

import com.docus.server.report.entity.AfReportRecordBuffer;
import lombok.Data;

/**
 * 报告推送信息
 */
@Data
public class ReportDto {
    /**
     * 住院号
     */
    private String inpatientNo;
    /**
     * 记账号/住院流水号
     */
    private String jzh;
    /**
     * 住院次数
     */
    private Integer admisstimes;
    /**
     * 采集来源系统
     */
    private String sysFlag;
    /**
     * 下载地址
     */
    private String downUrl;
    /**
     * 文件名
     */
    private String fileTitle;
    /**
     * 采集流水号/文件唯一id
     */
    private String serialnum;

    /**
     * 文件分类id
     */
    private String assortId;

    /**
     * 采集类型(文件来源 1:采集器；2：扫描生产软件)
     */
    private String fileSource;

    /**
     * 文件保存位置类型  1:服务器本地；2：ftp服务器；3：共享文件夹
     */
    private String filestoragetype;

    /**
     * 下载对应任务id ,接收处理
     */
    private Long taskId;

    /**
     * 业务病案主键
     */
    private String patientId;

    /**
     * 下载路径类型 1:url，2:base64，3:url base64，4:共享文件，5：本地文件base64
     */
    private Integer downtype = 1;


    /**
     * 检查报告单号，用于顺德人医推送 报告信息和报告地址的关联
     */
    private String reportSn;

    public ReportDto() {
    }

    public ReportDto(AfReportRecordBuffer buffer) {
        this.jzh = buffer.getJzh();
        this.inpatientNo = buffer.getInpatientNo();
        this.admisstimes = buffer.getAdmissTimes();
        this.assortId = buffer.getZdAssortId();
        this.serialnum = buffer.getSerialnum();
        this.fileTitle = buffer.getFileName();
        this.fileSource = "1";
        this.filestoragetype = "1";
        this.downtype = buffer.getDownType();
        this.downUrl = buffer.getDownUrl();
        this.sysFlag = buffer.getSysflag();
        this.reportSn = buffer.getReportSn();
    }
}
