package com.docus.server.report.api.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 顺德人医 移动护理响应参数
 *
 * @author jiashi
 */
@Data
public class SdNurseInsertSugarResponse {

    /**
     * 返回体
     */
    private List<NisData> data = new ArrayList<>();

    /**
     * 顺德人医 移动护理 返回体参数
     *
     * @author jiashi
     */
    @Data
    public static class NisData {
        /**
         * 文件类型：eval 为评估单\sugar为血糖\record为护理记录单  \bodyTemperature为体温单  \authorization为知情同意书
         */
        private String form_type;
        /**
         * 主键ID
         */
        private String form_id;
        /**
         * 创建时间 yyyy-MM-dd HH:mm:ss
         */
        private String create_time;
        /**
         * 创建人
         */
        private String creator_name;
        /**
         * 表单名称
         */
        private String form_name;
        /**
         * 患者ID
         */
        private String patient_id;
        /**
         * 住院次数
         */
        private String visit_id;
        /**
         * 住院号
         */
        private String zyh;
        /**
         * 更新时间 yyyy-MM-dd HH:mm:ss
         */
        private String update_time;
        /**
         * 更新者姓名
         */
        private String updater_name;
        /**
         * PDF存放地址
         */
        private String url;
        /**
         * 文件数量
         */
        @JSONField(name = "FILES_NUMBER")
        private Integer FILES_NUMBER;
    }
}
