package com.docus.server.report.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 母婴关系dto
 * @author wyb
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "母婴关系数据传输对象", description = "母婴关系数据传输对象")
public class MaternalInfantRelationshipDTO {

    @ApiModelProperty(value = "新生儿住院ID")
    private String babyId;

    @ApiModelProperty(value = "新生儿住院ID_住院次数")
    private String babyHisId;

    @ApiModelProperty(value = "母亲住院ID")
    private String momId;

    @ApiModelProperty(value = "母亲住院次数")
    private String parentTimes;

    @ApiModelProperty(value = "母亲住院ID_住院次数")
    private String parentHisId;

    @ApiModelProperty(value = "医院代码")
    private String hospCode;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "消息id")
    private String msgId="";

    @ApiModelProperty(value = "发送者")
    private String sender="";

    @ApiModelProperty(value = "接收者")
    private String receiver="";
}
